## japitools 0.9.7

=== Makefile ===
all: jar

classes: src/net/wuffies/japi/*.java
	cd src && jikes -d .. -classpath $(BOOT_CLASSPATH):$(CLASSPATH) net/wuffies/japi/*.java

jar: classes
	jar -0cvf share/java/japitools.jar net/wuffies/japi/*.class

tarball: jar
	cd .. && tar zcvf japitools.tar.gz japitools/

=== debian/changelog ===
japitools (0.9.7-1) unstable; urgency=low

  * Team upload to unstable.
  * New upstream release.
  * Removed jcompat.txt from docs, since upstream no longer ships it.

 -- Niels Thykier <niels@thykier.net>  Sun, 06 Feb 2011 17:05:03 +0100

japitools (0.9.5+cvs20060115-3) experimental; urgency=low

  * Team upload.
    - Uploaded to experimental due to freeze.
  * Added patch from James Page to minimize Ubuntu diff.
    - Replaced Depends on default-jdk with headless JREs
    - Bumped Standards-Versions to 3.9.1 - no changes required.
    (Closes: #590910)
  * Added Homepage and Vcs-* fields.
  * Removed unused simple-patch system.
  * Fixed some hyphens that should have been minus signs in the
    manpages.
  * Converted source format to 3.0 (quilt).

 -- Niels Thykier <niels@thykier.net>  Thu, 09 Dec 2010 12:08:04 +0100

japitools (0.9.5+cvs20060115-2) unstable; urgency=low

  * (Build-)Depends on default-jdk.
  * Moved Build-Depends-Indep to Build-Depends.
  * Build-Depend on debhelper >= 7.
  * Depends on ${misc:Depends}.
  * Rewrote debian/copyright to be more accurrate.
  * Use doc-base section 'Programming'.
  * Removed Wolfgang and added me as uploader.
  * Updated Standards-Version to 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Mon, 14 Sep 2009 21:22:39 +0200

japitools (0.9.5+cvs20060115-1) unstable; urgency=low

  * New upstream cvs snapshot
  * kaffe compiler transition

 -- Wolfgang Baer <WBaer@gmx.de>  Mon, 16 Jan 2006 15:32:32 +0100

japitools (0.9.5+cvs20051006-1) unstable; urgency=low

  * Initial release

 -- Wolfgang Baer <WBaer@gmx.de>  Thu,  6 Oct 2005 15:52:05 +0200

=== debian/control ===
Source: japitools
Section: devel
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Michael Koch <konqueror@gmx.de>
Build-Depends: debhelper (>= 7), cdbs, ant, default-jdk
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/japitools
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/japitools
Homepage: http://savannah.nongnu.org/projects/japitools/


Package: japitools
Architecture: all
Depends: default-jre-headless | java2-runtime-headless , ${misc:Depends}, ${perl:Depends}
Description: Java API compatibility testing tools
 It consists of two simple tools designed to test for compatibility between
 Java APIs. They were originally designed for testing free implementations
 of Java itself for compatibility with Sun's JDK, but they can also be used
 for testing backward compatibility between versions of any API.
 .
 The tools are japize and japicompat. Japize is a Java program which emits 
 a listing of an API in a machine-readable format. Japicompat then takes two
 such listings and compares them for binary compatibility, as defined by Sun
 in the Java Language Specification.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for japitools (uses cdbs)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

export UPSTREAM_VERSION = $(shell head -1 debian/changelog | cut -f2 -d\( | cut -f1 -d\) | cut -f1 -d\-)

JAVA_HOME := /usr/lib/jvm/default-java

DEB_JARS := $(ANT_HOME)/lib/ant-launcher.jar

DEB_ANT_BUILD_TARGET := main

install/japitools::
	install -m 644 share/java/japitools.jar debian/japitools/usr/share/java/japitools.jar
	install -m755 bin/japicompat debian/japitools/usr/bin/japicompat
	install -m755 bin/japilist debian/japitools/usr/bin/japilist
	install -m755 bin/japiohtml debian/japitools/usr/bin/japiohtml
	install -m755 bin/japiotext debian/japitools/usr/bin/japiotext
	install -m755 bin/japize debian/japitools/usr/bin/japize

=== debian/watch ===
version=3
http://sab39.netreach.com/Software/Japitools/Download/43/ .*/japitools-([\d.]+)\.tar\.gz

## japitools 0.9.7+git20150619

=== debian/changelog ===
japitools (0.9.7+git20150619-1) unstable; urgency=medium

  * New upstream release
  * Removed Michael Koch from the uploaders (Closes: #654027, #884611)
  * Switched the source to the Andrew John Hughes' fork
  * Build with the DH sequencer instead of CDBS
  * Moved the package to Git
  * Standards-Version updated to 4.5.1
  * Switch to debhelper level 13
  * Converted debian/copyright to the Copyright Format 1.0

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 18 Jan 2021 12:43:03 +0100

=== debian/control ===
Source: japitools
Section: devel
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Emmanuel Bourg <ebourg@apache.org>
Build-Depends:
 ant,
 debhelper-compat (= 13),
 default-jdk
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/java-team/japitools.git
Vcs-Browser: https://salsa.debian.org/java-team/japitools
Homepage: https://github.com/gnu-andrew/japitools

Package: japitools
Architecture: all
Depends: default-jre-headless | java2-runtime-headless , ${misc:Depends}, ${perl:Depends}
Description: Java API compatibility testing tools
 It consists of two simple tools designed to test for compatibility between
 Java APIs. They were originally designed for testing free implementations
 of Java itself for compatibility with Sun's JDK, but they can also be used
 for testing backward compatibility between versions of any API.
 .
 The tools are japize and japicompat. Japize is a Java program which emits
 a listing of an API in a machine-readable format. Japicompat then takes two
 such listings and compares them for binary compatibility, as defined by Sun
 in the Java Language Specification.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=ant

=== debian/watch ===
version=4
opts="mode=git,repack,compression=xz,pretty=0.9.7+git%cd" \
https://github.com/gnu-andrew/japitools HEAD
